Subject: Re: [bug#32402] [PATCH] gnu: wpa_supplicant: Fix CVE-2018-14526.
From: Leo Famulari <[email-masked]>
To: Marius Bakke <[email-masked]>
Cc: [email-masked]
Date: Thu, 9 Aug 2018 18:22:21 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Aug 09, 2018 at 10:32:15PM +0200, Marius Bakke wrote:
> Leo Famulari <[email-masked]> writes:
> 
> > I've built all the wpa_supplicant packages but don't have a way to test
> > this change.
> >
> > * gnu/packages/patches/wpa-supplicant-CVE-2018-14526.patch: New file.
> > * gnu/local.mk (dist_patch_DATA): Add it.
> > * gnu/packages/admin.scm (wpa-supplicant-minimal)[source]: Use it.
> 
> I haven't tested this yet, but looks good to me!  You'll be the first to
> know if my wifi breaks ;-)

I was finally able to test it. Works for me, pushed as
4e23e8d80913fc2a69e97b29b5640e745b0d550b